@import "variables";

@mixin bp-up($width) {
  @media screen and (min-width: $width){
    @content
  }
}

@mixin bp-down($width) {
  @media screen and (max-width: $width){
    @content
  }
}

@mixin bp-between($widthFrom, $widthTo) {
  @media screen and (min-width: $widthFrom) and (max-width: $widthTo) {
    @content
  }
}

@mixin customScroll($color, $background, $size: 2px) {
  scrollbar-width: thin;
  scrollbar-width: $size;
  scrollbar-color: $color $background;

  &::-webkit-scrollbar {
    width: $size;
    height: $size;
  }

  &::-webkit-scrollbar-track {
    background: $background;
  }

  &::-webkit-scrollbar-thumb {
    background: $color;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: $color;
  }
}
